package ch.std.jumpstart.beans;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

public class CitiesBean {

	private static List<String> cities;
	
	static {
		cities = new ArrayList<>();
		cities.add("Appenzell");
		cities.add("Basel");
		cities.add("Bern");
		cities.add("Genf");
		cities.add("Lausanne");
		cities.add("Luzern");
		cities.add("Herisau");
		cities.add("St.Gallen");
		cities.add("Winterthur");
	}
	
	public List<String> find(String find) {
		return cities.stream().filter(city -> city.contains(find)).collect(Collectors.toList());
	}

	public static List<String> getCities() {
		return Collections.unmodifiableList(cities);
	}
	
}
